#!/bin/sh

set -eu

TAG="$USER/alpine-sdk"

mkdir -p ~/docker-run-cache/$USER

set --
# capabilities
for x in SYS_ADMIN SYS_CHROOT SYS_PTRACE FOWNER; do
	set -- "$@" --cap-add $x
done

set -x
exec docker run -it "$@" "$TAG"
